<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.jpa">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-datasource,default-extended-persistence-inheritance"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jpa"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.jpa"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.transactions.global-default-local-provider"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="jpa"/>
        <param name="default-extended-persistence-inheritance" nillable="true"/>
        <param name="extension" default="org.jboss.as.jpa"/>
        <param name="default-datasource" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
    <packages>
        <package name="org.hibernate.search.orm" optional="true"/>
        <package name="org.hibernate.envers" optional="true"/>
        <package name="org.hibernate"/>
        <package name="org.jboss.as.jpa"/>
    </packages>
</feature-spec>